Subject: [bug#64201] [PATCH v2 00/22]: gnu: Astronmy June updates.

From: Sharlatan Hellseher <[email-masked]>
Date: Thu, 27 Jul 2023 00:15:19 +0100

Hi Guix!

Here is V2 of the patch series updating and fixing some of the packages
from (gnu packages astronomy). I try to split large patches into smaller
digestible ones and drop update for python-phoutils to the latest as it hangs
tests on 90% infinitely, I'll try to update it in next update cycle.

What's new comparing to V1:
- Branched from current master
- Large commit split into smaller ones
- All packages updated to the latest verions where possible
- Update of python-photils was excluded due infinity hangs

I've built patch series locally on x86_64, bare in mind to pass them all it
took about 20min+ on 16 threads machine, astrosoft has a large amount of tests
:-)

Building the following 6 packages would ensure 43 dependent packages are
rebuilt: [email-masked] [email-masked] [email-masked]
[email-masked] [email-masked] [email-masked]

> ./pre-inst-env guix build $(./pre-inst-env guix refresh --list-dependent sextractor python-photutils calceph calcmysky libxisf splash python-astropy python-ccdproc python-cdflib python-drms python-fitsio python-pyerfa python-reproject python-stcal python-stdatamodels python-sunpy python-synphot python-astroalign|awk -F: '{print $2}')
> /gnu/store/qm3ls7929w0d4j8kqhrmz0w0yfvq5rp2-python-jwst-1.10.2
> /gnu/store/a7sflrsf3692giqqdf3zx1cmzknqk288-python-sunpy-5.0.0
> /gnu/store/1pyfa0ds8df3lssv7j4syvkk7hkxpa9h-python-astroalign-2.4.2
> /gnu/store/4fabnbs2f8ara1lkc71pxdc77ddb1pf7-python-regions-0.7
> /gnu/store/8855dni0axr014wnfq4kbj7rkwmfrgcl-python-poliastro-0.17.0
> /gnu/store/jwwg7qcyhik0997hlispsp8h9xc0j2y5-python-tslearn-0.6.1

Regards,
Oleg

Sharlatan Hellseher (22):
  gnu: sextractor: Update to 2.28.0, fix build.
  gnu: sextractor: Use G-expressions.
  gnu: python-photutils: Update package style.
  gnu: calceph: Update to 3.5.2.
  gnu: calcmysky: Update to 0.3.1.
  gnu: libxisf: Update to 0.2.8.
  gnu: splash: Update to 3.8.2.
  gnu: python-astropy: Update to 5.3.1.
  gnu: python-ccdproc: Update to 2.4.1.
  gnu: python-cdflib: Update to 1.0.5.
  gnu: python-drms: Update to 0.6.4.
  gnu: python-fitsio: Update to 1.1.10.
  gnu: python-fitsio: Enable tests.
  gnu: python-pyerfa: Update to 2.0.0.3.
  gnu: python-pyerfa: Fix tests.
  gnu: python-pyerfa: Use G-expressions.
  gnu: python-reproject: Update to 0.11.0.
  gnu: python-stcal: Update to 1.4.2.
  gnu: python-stdatamodels: Update to 1.7.1.
  gnu: python-sunpy: Update to 5.0.0.
  gnu: python-synphot: Update to 1.2.1.
  gnu: python-astroalign: Fix build.

 gnu/packages/astronomy.scm | 209 ++++++++++++++++++++++---------------
 1 file changed, 124 insertions(+), 85 deletions(-)

base-commit: 005912c595bf7a3329f8aa51a4ccb1d91b6ecd9e
-- 
2.40.1